# $Revision: 1.29 $, $Date: 2008-03-06 20:25:39 $
%define	nspr_version	4.6
%define	nspr_evr	1:%{nspr_version}
%define	nss_version	3.11
%define	nss_evr		1:%{nss_version}
%define	svrcore_version	4.0.3
Summary:	Mozilla LDAP C SDK
Summary(pl.UTF-8):	Biblioteki Mozilla LDAP C SDK
Name:		mozldap
Version:	6.0.5
Release:	1
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/directory/c-sdk/releases/v%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	9719bd5b9efc13f810c85a47fb8c6412
Patch0:		%{name}-link.patch
URL:		http://wiki.mozilla.org/LDAP_C_SDK
BuildRequires:	autoconf >= 2.13
BuildRequires:	cyrus-sasl-devel >= 2.0
BuildRequires:	gawk
BuildRequires:	libstdc++-devel
BuildRequires:	nspr-devel >= %{nspr_evr}
BuildRequires:	nss-devel >= %{nss_evr}
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	svrcore-devel >= %{svrcore_version}
Requires:	nspr >= %{nspr_evr}
Requires:	nss >= %{nss_evr}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libldap60.so libprldap60.so libssldap60.so libldif60.so

%description
The Mozilla LDAP C SDK is a set of libraries that allow applications
to communicate with LDAP directory servers. These libraries are
derived from the University of Michigan and Netscape LDAP libraries.
They use Mozilla NSPR and NSS for crypto.

%description -l pl.UTF-8
Mozilla LDAP C SDK to zestaw bibliotek pozwalających aplikacjom
komunikować się z serwerami usług katalogowych LDAP. Biblioteki te
wywodzą się z bibliotek LDAP University of Michigan i Netscape.
Wykorzystują biblioteki Mozilla NSPR i NSS do kryptografii.

%package devel
Summary:	Development files and examples for Mozilla LDAP C SDK
Summary(pl.UTF-8):	Pliki programistyczne i przykłady dla bibliotek Mozilla LDAP C SDK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	nspr-devel >= %{nspr_evr}
Requires:	nss-devel >= %{nss_evr}

%description devel
Header and other files for doing development with the Mozilla LDAP C
SDK.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne do tworzenia oprogramowania z użyciem
bibliotek Mozilla LDAP C SDK

%package static
Summary:	Static Mozilla LDAP C SDK libraries
Summary(pl.UTF-8):	Statyczne biblioteki Mozilla LDAP C SDK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Mozilla LDAP C SDK libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Mozilla LDAP C SDK.

%package tools
Summary:	Tools for the Mozilla LDAP C SDK
Summary(pl.UTF-8):	Narzędzia dla bibliotek Mozilla LDAP C SDK
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	svrcore >= %{svrcore_version}

%description tools
The mozldap-tools package provides the ldapsearch, ldapmodify, and
ldapdelete tools that use the Mozilla LDAP C SDK libraries.

%description tools -l pl.UTF-8
Ten pakiet dostarcza narzędzia ldapsearch, ldapmodify i ldapdelete
wykorzystujące biblioteki Mozilla LDAP C SDK.

%prep
%setup -q
%patch0 -p1

%build
cd mozilla/directory/c-sdk
%{__autoconf}
%configure \
%ifarch %{x8664} ia64 ppc64 s390x
	--enable-64bit \
%endif
	--disable-debug \
	--enable-clu \
	--enable-optimize \
	--with-sasl \
	--with-system-nspr \
	--with-system-nss \
	--with-system-svrcore

%ifarch %{x8664} ppc64 ia64 s390x
USE_64=1
export USE_64
%endif

%{__make} \
	XCFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{{%{_includedir},%{_libdir}}/mozldap,%{_bindir},%{_sysconfdir}/%{name}}

cd mozilla
install dist/lib/lib*.so $RPM_BUILD_ROOT%{_libdir}
install dist/lib/lib*.a $RPM_BUILD_ROOT%{_libdir}
install dist/public/ldap/*.h $RPM_BUILD_ROOT%{_includedir}/mozldap
install dist/bin/ldap* $RPM_BUILD_ROOT%{_bindir}
# what really uses these and proper install dir?
install dist/etc/* $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cd directory/c-sdk/ldap
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/Makefile
cd -

install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
sed directory/c-sdk/mozldap.pc.in -e "
	s,%%libdir%%,%{_libdir},g
	s,%%prefix%%,%{_prefix},g
	s,%%exec_prefix%%,%{_prefix},g
	s,%%includedir%%,%{_includedir}/mozldap,g
	s,%%NSPR_VERSION%%,%{nspr_version},g
	s,%%NSS_VERSION%%,%{nss_version},g
	s,%%MOZLDAP_VERSION%%,%{version},g
" > $RPM_BUILD_ROOT%{_pkgconfigdir}/mozldap.pc

cd $RPM_BUILD_ROOT%{_libdir}
for file in lib*.so; do
	mv $file $file.%{version}
	ln -s $file.%{version} $file
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libldap60.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libldap60.so
%attr(755,root,root) %{_libdir}/libprldap60.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libprldap60.so
%attr(755,root,root) %{_libdir}/libssldap60.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libssldap60.so
%attr(755,root,root) %{_libdir}/libldif60.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libldif60.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/mozldap
%{_pkgconfigdir}/mozldap.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libiutil60.a
%{_libdir}/liblber60.a
%{_libdir}/libldap60.a
%{_libdir}/libldif60.a

%files tools
%defattr(644,root,root,755)
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/ldapfilter.conf
%{_sysconfdir}/%{name}/ldapfriendly
%{_sysconfdir}/%{name}/ldapsearchprefs.conf
%{_sysconfdir}/%{name}/ldaptemplates.conf
# NOTE: these probably collide with openldap
%attr(755,root,root) %{_bindir}/ldapcmp
%attr(755,root,root) %{_bindir}/ldapcompare
%attr(755,root,root) %{_bindir}/ldapdelete
%attr(755,root,root) %{_bindir}/ldapmodify
%attr(755,root,root) %{_bindir}/ldappasswd
%attr(755,root,root) %{_bindir}/ldapsearch

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozldap.spec,v $
Revision 1.29  2008-03-06 20:25:39  glen
- no makefile for examples

Revision 1.28  2008-03-06 20:24:30  glen
- add ldif60.so
- verbose files
- examples to %{_examplesdir}
- put tools to bindir

Revision 1.27  2008-03-06 20:09:08  glen
- todo?

Revision 1.26  2008-03-06 19:54:22  glen
- new url

Revision 1.25  2008-01-05 01:09:28  qboosh
- updated to 6.0.5
- ghost soname symlinks

Revision 1.24  2007-07-12 20:46:21  qboosh
- updated to 6.0.4

Revision 1.23  2007/03/17 19:58:23  qboosh
- updated to 6.0.3
- updated link patch

Revision 1.22  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.20  2007/01/17 10:09:09  qboosh
- updated to 6.0.2

Revision 1.19  2007/01/14 23:39:38  qboosh
- updated to 6.0.1

Revision 1.18  2006/12/20 09:41:28  qboosh
- updated configure options and deps for shared svrcore (>= 4.0.3)
- release 2

Revision 1.17  2006/11/15 13:49:52  qboosh
- added link patch

Revision 1.16  2006/10/18 09:46:44  qboosh
- updated to 6.0.0

Revision 1.15  2006/09/06 20:56:48  glen
- use own build directory (rather mozilla)

Revision 1.14  2006/06/27 08:45:55  qboosh
- use svrcore-devel from separate spec, release 2

Revision 1.13  2006/06/03 15:40:55  qboosh
- noautoreqdep to avoid catching mozilla* deps

Revision 1.12  2006/06/03 15:17:54  qboosh
- dropped unnecessary major symlinks, soname symlinks (= just .so) removed from -devel
- package svrcore header and static lib as svrcore-devel
- release 1

Revision 1.11  2006/05/11 18:28:09  qboosh
- remaining pl, adjusted Groups

Revision 1.10  2006/05/09 09:48:41  qboosh
- use x8664 macro, missing dir

Revision 1.9  2006/05/02 11:59:49  zbyniu
- more static libs

Revision 1.8  2006/04/30 01:04:24  zbyniu
- subpackage static

Revision 1.7  2006/04/30 00:48:21  zbyniu
- MANY cleanups; I can't see svrcore in pld, build included
- what is version? 5.17 5.1.7?
- now builds, still require some work

Revision 1.6  2006/04/29 21:43:12  glen
- buildrequires should be only in main package

Revision 1.5  2006/04/29 21:40:54  glen
- use different macro as nspr/nss versions are also used in pkgconfig file

Revision 1.4  2006/04/29 21:38:50  glen
- mozldap.pc.in moved to proper place

Revision 1.3  2006/04/29 21:36:42  glen
- cosmetics, cleanups

Revision 1.2  2006/04/29 16:13:25  wolvverine
- correct src

Revision 1.1  2006/04/29 16:03:58  wolvverine
- moved from source and adapterized NFY
